#
# This config file was tested with J-Link GDB Server v4.10i
#

# connect to the J-Link gdb server
target remote localhost:2331

# Enable flash download and flash breakpoints.
# Flash download and flash breakpoints are features of
# the J-Link software which require separate licenses 
# from SEGGER.

# Select flash device
monitor flash device = STR710FZ2

# Enable FlashDL and FlashBPs
monitor flash download = 1
monitor flash breakpoints = 1

# Set gdb server to little endian
monitor endian little

# Set JTAG speed to 30 kHz
monitor speed 30

# Reset the target
monitor reset 1
monitor sleep 100

# Setup target, remap
monitor writeu16 0xA0000050 = 0x01c2
monitor writeu16 0xA0000050

# Set JTAG speed in khz
monitor speed 12000

#load
#break main
#continue
